summaryrefslogtreecommitdiff
path: root/dev-db
diff options
context:
space:
mode:
authorTomas Mozes <hydrapolic@gmail.com>2018-02-14 16:40:39 +0100
committerUltrabug <ultrabug@gentoo.org>2018-02-15 16:01:57 +0100
commit35e91e1f0aa8172f30a87ec094c4c3a51c35ed22 (patch)
tree856f61c67120b50b9a3e93a20b5382dd38bad4dd /dev-db
parentapp-admin/mongo-tools: improve ebuild (diff)
downloadgentoo-35e91e1f0aa8172f30a87ec094c4c3a51c35ed22.tar.gz
gentoo-35e91e1f0aa8172f30a87ec094c4c3a51c35ed22.tar.bz2
gentoo-35e91e1f0aa8172f30a87ec094c4c3a51c35ed22.zip
dev-db/mongodb: add upgrade note
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-db')
-rw-r--r--dev-db/mongodb/mongodb-3.6.2.ebuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/dev-db/mongodb/mongodb-3.6.2.ebuild b/dev-db/mongodb/mongodb-3.6.2.ebuild
index a532e30e466..5297f47b0f1 100644
--- a/dev-db/mongodb/mongodb-3.6.2.ebuild
+++ b/dev-db/mongodb/mongodb-3.6.2.ebuild
@@ -63,6 +63,8 @@ pkg_pretend() {
ewarn "To upgrade from a version earlier than the 3.4-series, you must"
ewarn "successively upgrade major releases until you have upgraded"
ewarn "to 3.4-series. Then upgrade to 3.6 series."
+ elif [[ -n ${REPLACING_VERSIONS} ]]; then
+ ewarn "Be sure to set featureCompatibilityVersion to 3.4 before upgrading."
fi
}
@@ -84,9 +86,9 @@ src_prepare() {
}
src_configure() {
+ # https://github.com/mongodb/mongo/wiki/Build-Mongodb-From-Source
# --use-system-icu fails tests
# --use-system-tcmalloc is strongly NOT recommended:
- # https://www.mongodb.org/about/contributors/tutorial/build-mongodb-from-source/
scons_opts=(
CC="$(tc-getCC)"
CXX="$(tc-getCXX)"